Commit 0465400e authored by Tzafrir Cohen's avatar Tzafrir Cohen Committed by Tzafrir Cohen

Copy packaging from Subversion

parent 6057ef25
Echo Canceller
--------------
In DAHDI (software) echo cancellers are separate modules, that are
automatically loaded if their name is used in /etc/dahdi/system.conf .
dahdi_genconf, the configuration generator, thus defaults to creating a
system.conf with an echocanceller line for each channel. By default it is
'mg2' (the MG2 echo canceller) but this can be changed by setting
'echocanceller' (see the sample genconf_parameters file).
The Debian package of dahdi-linux is patched to include support of the
echo canceller OSLEC. Thus dahdi-tools has been patched accordingly to
make it the default echo canceller, and to remove 'echo' as well when
unloading modules.
However if you, for any strange reason, use a version of the DAHDI
kernel modules that does not include a working dahdi_echocan_oslec.ko,
just set in /etc/dahdi/genconf_parameters:
echo_can mg2
FXOTune
-------
FXOTune is a utility provided by Digium for fine-tuning parameters of the
FXO modules of their TDM cards and compatibles, as well as of those of the
Xorcom Astribank.
This package includes the fxotune utility. It will also load configuration
from /etc/fxotune.conf if fxotune was used to tune the FXO modules. Note
that fxotune will not work with X100P and similar cards.
Supported tone-zones
--------------------
DAHDI is capable of playing ring tone, buy tone etc. for a large variety of
countries. This is done using the loadzone and defaultzone settings in
system.conf. A list of tone-zones supported by DAHDI and libtonezone is
included in the file tonezones.txt in the documentation directory.
Example section of system.conf:
loadzone=us,uk,de
defaultzone=us
dahdi vs. dahdi-linux
---------------------
Upstream DAHDI is split to two parts: dahdi-linux are parts that are
supposed to be linux-specific, whereas dahdi-tools are supposed to be
generic utilities to use the DAHDI interface.
DAHDI-linux includes mostly kernel modules, but also udev rules, xpp
initialization scripts and firmwares (latter are stripped from the
Debian package). Those are included in the package dahdi-linux.
Most of the dahdi utilities, e.g. dahdi_cfg, dahdi_test, dahdi_monitor
and the dahdi-perl utilities are included in the package 'dahdi' that is
built from the source package dahdi-tools.
Automatic startup
-----------------
There is work in progress to start DAHDI devices automatically.
See also http://docs.tzafrir.org.il/dahdi-tools/#_initialization and for
the low-level description:
http://docs.tzafrir.org.il/dahdi-linux/#_span_assignments
The dahdi-linux package sets dahdi.auto_assigned_spans to 0 by default,
but the dahdi-tools should have the required scriptary in place to make
sure an upgrade will not break an existing system. That said, if your
system has more than one DAHDI device, you should create a
/etc/dahdi/assigned-spans.conf using 'dahdi_genconf assignedspan' (or
manually) rather than relying on any other ordering mechanism.
Much work has been put in place to make sure configurations
work as before if there are no changes. It is still recommended to create
a span-assignments file for your setup if you have more than one device:
dahdi_genconf assigedspans
The udev hook scripts run two main hooks:
* /usr/share/dahdi/dahdi_handle_device:
Run when a new DAHDI device is added or removed. Mainly to assign
spans.
* /usr/share/dahdi/dahdi_config_span:
Run when a new DAHDI span is added or removed. Mainly to configure
the new spans.
As you would expect, there are .d directories for the scripts and those
are places for your hooks, if needed.
* Transition from zaptel?
* Fix copyright
* xpp/README.Astribank.html
dahdi-tools (1:2.10.2-2) unstable; urgency=medium
* gcc5.patch (Closes: #777829).
-- Tzafrir Cohen <tzafrir@debian.org> Sun, 28 Jun 2015 23:08:21 +0300
dahdi-tools (1:2.10.2-1) unstable; urgency=medium
* New upstream release:
- Removed bashism from udev hook script (Closes: #772229).
- Builds fine with GCC 5 (Closes: #777829).
* Build-depend on debhelper 9.
-- Tzafrir Cohen <tzafrir@debian.org> Fri, 26 Jun 2015 16:06:56 +0300
dahdi-tools (1:2.10.0.1-1) unstable; urgency=low
* New upstream release (Closes: #765377).
- xpp_revert_clear_halt.patch merged upstream.
* Compat level 9.
* debian-cflags.patch: some cases where build flags were not passed
* Multi-arch headers.
-- Tzafrir Cohen <tzafrir@debian.org> Sun, 26 Oct 2014 20:46:32 +0200
dahdi-tools (1:2.10.0-1) unstable; urgency=low
* New upstream release candidate:
- Init script no longer exists if no system.conf (Closes: #567072).
- hotplug/* patches removed (a better version included upstream).
- example_scriptlet removed: merged upstream.
* Don't add spans automatically in Asterisk (it's the job of asterisk).
* Also depend on usbutils: xpp_fxloader uses lsusb.
* xpp_revert_clear_halt.patch: fixes a regression since 2.9.2.
-- Tzafrir Cohen <tzafrir@debian.org> Tue, 19 Aug 2014 08:56:07 +0300
dahdi-tools (1:2.7.0.1-1) unstable; urgency=low
* New upstream release
[ Tzafrir Cohen ]
* Remove HTMLed man pages (Closes: #714705).
* Upstream init script will no longer barf if no DAHDI modules on system
(Closes: #706046).
* Only build on Linux. At least until someone packages dahdi-kfreebsd.
* Use upstream's udev rules.
* Use root:comm rather than asterisk:asterisk in udev rules.
* hotplug support:
- Add hotplug patches (an experimental git branch) - fixes to scriptary.
- Remove the init script.
[ Mark Purcell ]
* Build-Depends: dahdi-source (>= 1:2.7)
* Update Vcs_Browser - fixes vcs-field-bitrotted
* Add dh $@ --with autotools_dev - fixes outdated-autotools-helper-file
* Update Vcs_Svn - fixes vcs-field-not-canonical
* Update Standards-Version - fixes ancient-standards-version
-- Mark Purcell <msp@debian.org> Sat, 12 Oct 2013 15:06:25 +1100
dahdi-tools (1:2.7.0-1) unstable; urgency=low
[ Tzafrir Cohen ]
* New upstream release (Closes: #688919)
- Patch fix_xpp_buildfix removed: merged upstream.
* Patch fix_xpp_buildfix: The sole (currently) change in the upcoming
dahdi-tools 2.6.3. A further build fix for gcc 4.8 (Closes: #707391).
* Enable pinned spans support.
[ Mark Purcell ]
* Fix "FTBFS: astribank_hexload.c:36:27: fatal error: ../autoconfig.h:
No such file or directory" new upstream release (Closes: #707391)
-- Mark Purcell <msp@debian.org> Sun, 16 Jun 2013 16:37:00 +1000
dahdi-tools (1:2.5.0.1-2) unstable; urgency=low
[ Tzafrir Cohen ]
* Removed libtonezone 1.0 (zaptel) symlinks (Closes: #661396).
-- Mark Purcell <msp@debian.org> Sat, 07 Jul 2012 10:53:37 +1000
dahdi-tools (1:2.5.0.1-1) unstable; urgency=low
* New upstream release.
* Standards version 3.9.2 (no change needed).
* Architecture: linux-any.
* Switch to dh
- Patch remove_dahdi_speed: Patch the source. Don't rm later on.
* Compat level 8, while we're at it.
* A symbols file fir libtonezone. Verified also to match to 2.2.1.1,
but interface has probably not changed since 2.0 .
-- Tzafrir Cohen <tzafrir@debian.org> Mon, 26 Sep 2011 00:19:17 +0300
dahdi-tools (1:2.4.1-1) unstable; urgency=low
* New upstream release (Closes: #581076, #582094).
* Patches hardware_rescan, perl_fix_noserial, perl_fix_transportdir,
astribank_allow_ignoreend, init_unload_modules and wcb4xxp_extra_trunk
dropped: merged upstream.
* dahdi-linux 2.3.0 is required (extra config options for dahdi_cfg).
* Convert to dpkg v.3 format.
* Standards version: 3.9.1.0 (No change needed.
-- Tzafrir Cohen <tzafrir@debian.org> Sun, 13 Mar 2011 23:45:36 +0200
dahdi-tools (1:2.2.1.1-1) unstable; urgency=low
* New minor upstream release.
* Patch wcb4xxp_extra_trunk: recognize some extra HFC-[248]S PCI IDs.
* DEP3 heaaders for all patches in use.
* Refreshed some patches.
* Standards version 3.8.4 (no change needed).
* Use a @debian.org adderss.
-- Tzafrir Cohen <tzafrir@debian.org> Sun, 18 Apr 2010 15:53:48 +0300
dahdi-tools (1:2.2.1-1) unstable; urgency=low
[ Tzafrir Cohen ]
* New upstream release (Closes: #536257, #564381).
* Patch 'bashism' dropped: merged upstream.
* Patch xpp_no_extra_at dropped: merged upstream.
* Add an example genconf_parameters.
* Compat level 7.
* Bump standars version to 3.8.3.0 (no change needed)
* Udev rules are now in dahdi-linux.
* Patches perl_fix_noserial, perl_fix_transportdir: Fixes for some
minor perl issues.
* Add the missing ${misc:Depends}, as per lintian.
* Patch astribank_allow_ignoreend: an extra missing patch from upstream.
* Patches init_unload_modules and init_unload_oslec: also unload OSLEC
when unloading all modules.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Sun, 07 Mar 2010 04:43:13 +1100
dahdi-tools (1:2.2.0-1) unstable; urgency=low
[ Tzafrir Cohen ]
* New upstream release.
* Patch bashism: fixes bashism in waitfor_xpds (Closes: #535865).
* Patch hardware_rescan: backport Dahdi::Hardware->rescan()
* Patch no_extra_at: backport of a per/xpp fix.
[ Mark Purcell ]
* Reorder debian/watch to correctly handle upstream -rc
-- Mark Purcell <msp@debian.org> Sat, 17 Oct 2009 09:12:40 +1100
dahdi-tools (1:2.2.0~rc3-1) unstable; urgency=low
[ Tzafrir Cohen ]
* New upstream release candidate.
[ Mark Purcell ]
* Cleanup debian/watch to point to upstream dahdi-tools ;-)
* Update Standards version -> 3.8.1
* Fix binary-control-field-duplicates-source
-- Mark Purcell <msp@debian.org> Mon, 01 Jun 2009 08:23:38 +1000
dahdi-tools (1:2.2.0~rc2-1) unstable; urgency=low
[ Tzafrir Cohen ]
* New upstream release. A matching dahdi-source is needed.
* Patch echocan_oslec: set oslec as default EC in generated config
* A proper README.Debian
* Updated debian/copyright document internal differences in package
- meet ftp-master needs for NEW
[ Victor Seva ]
* fix debian/watch.
-- Mark Purcell <msp@debian.org> Wed, 20 May 2009 07:35:30 +1000
dahdi-tools (1:2.1.0.2-1) experimental; urgency=low
[ Tzafrir Cohen ]
* Zaptel renamed DAHDI and split to dahdi-linux and dahdi-tools.
* This package no longer includes drivers and m-a magic.
* DAHDI is incompatible (ABI and API) with Zaptel.
* NEW libtonezone2.0 due to its usage of DAHDI.
* Programs renamed. E.g. dahdi_cfg instead of ztcfg.
* Configurations files are now under /etc/dahdi .
* Using the upstream init.d script. This script is responsible for
loading modules unlike the Zaptel one.
* Depend on groff and man-db for man -Thtml used in the upstream
'docs' target.
* Delete false(?) libtonezone.so.1 symlinks.
* Add missing dh_perl check (for perl modules).
[ Mark Purcell ]
* Add myself to uploaders
* Upload to experimental while we await NEW & debian-release
-- Mark Purcell <msp@debian.org> Sun, 29 Mar 2009 18:07:57 +1100
zaptel (1:1.4.11~dfsg-3) unstable; urgency=low
* zaptel.init: exit on a different condition: Nicer handling of ztdummy.
* zaptel.init: Give a sane default to XPP_SYNC.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Mon, 03 Nov 2008 09:35:23 +0200
zaptel (1:1.4.11~dfsg-2) unstable; urgency=low
* Patch xpp_fxs_power: Fixed an issue with hook detection of the Astribank
FXS module.
* Don't fail init.d script if fxotune fails. This may happen if running it
when Asterisk is already running.
* Bump standards version to 3.8.0.0 .
* Ignore false lintian warning ("m-a a-i" has "a a").
* Patch xpp_fxo_cid_always: do always pass PCM if that's what the user
asked.
* Patch vzaphfc_proc_root_dir: fix vzaphfc on 2.6.26.
* Patch wcte12xp_flags: Proper time for irq save flags.
* Patch headers_2627: Fix location of semaphore.h for 2.6.27 .
* Patch xpp_fxs_dtmf_leak: Don't play DTMFs to the wrong channel.
* Patch wctdm_fix_alarm: Fix sending channel alarms.
* Patch device_class_2626: Fix building 2.6.26 (Closes: #493397).
* Using dh_lintian for lintian overrides, hence requiring debhelper 6.0.7.
* Lintian: we know we have direct changes. Too bad we're half-upstream :-(
* Fix doc-base section names.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Thu, 28 Aug 2008 22:58:23 +0300
zaptel (1:1.4.11~dfsg-1) unstable; urgency=medium
[ Faidon Liambotis ]
* Update qozap from bristuff-0.4.0-RC1.
- fixed duoBRI miniPCI detection in qozap.
- added support for PCIe variants of duoBRI and quadBRI.
* Update cwain from bristuff-0.4.0-RC1.
* Update ztgsm from bristuff-0.4.0-RC1.
- reduced baudrate (serial interface to gsm modules) to be more robust
against irq misses in loaded systems
- improved serial debug output
- added module parameter "baudrate" (the default is 19200)
- added AT commands for SIM card selection
- added AT commands for shutting down/starting GSM modules
[ Tzafrir Cohen ]
* New upstream release.
* Patch xpp_fix_t1 dropped: merged upstream.
* Finally removing 00list.
* Patch sigcap_dacs: tell zaphfc and vzaphfc to report support for
ZT_SIG_DACS. Makes ztscan report then as digital spans.
* Patch bri_dchan: change ZT_FLAG_BRIDCHAN as ZT_FLAG_MTP2 is also
defined to be 19 as of zaptel 1.4.11 .
* Patch chan_release_check: fixes a regression from 1.4.10.1 that causes
a panic if disconnecting an Astribank device with a channel still open.
* Patch florz-vmalloc: proper includes for zaphfc on non-x86 platforms.
(Closes: #488513)
* oslec_wrap.c: cycles code for powerpc by Stelios Koroneos.
* And dummy cycles code for other architectures.
[ Mark Purcell ]
* Build-Depends: asciidoc (>= 8.2.6-1.1)
- asciidoc 8.2.6-1 is broken
- FTBFS: ERROR: unsafe: include file:
/etc/asciidoc/./javascripts/toc.js (Closes: #487011)
* Urgency medium as we fix RC bug
-- Mark Purcell <msp@debian.org> Mon, 30 Jun 2008 20:22:37 +1000
zaptel (1:1.4.10.1~dfsg-1) unstable; urgency=low
[ Tzafrir Cohen ]
* New upstream bugfix release.
* Note the buid "error" from http://bugs.digium.com/12426 .
* Fix the generation of tonezone.txt.
* Patch xpp_fix_t1: allow the xpp pri module to initialize as T1.
* Set OSLEC as the default echo canceller.
* The "unload" init.d script operation will now also attempt to unload
oslec.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Thu, 8 May 2008 02:03:34 +0300
zaptel (1:1.4.10~dfsg-1) unstable; urgency=low
[ Mark Purcell ]
* New upstream release
[ Tzafrir Cohen ]
* Added NEWS.Debian about zaptel modules incompatibility.
* Do run 'make dist-clean' on modules build. It prints an ugly error, but
only after the actualy relevant clean.
* Watching downloads.digium.com directly again.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Mon, 14 Apr 2008 14:07:54 +0300
zaptel (1:1.4.9.2~dfsg-1) unstable; urgency=low
* New upstream release (Closes: #464900).
- All kernel modules moved to under kernel/
* Converting patches to quilt (because bristuff uses them).
* Include the separate xpp changelog file.
* Fix a possible crash with oslec when a fax tone is detected:
http://sourceforge.net/mailarchive/message.php?msg_name=20080217212421.GT15415%40xorcom.com
(Closes: #447245).
* Adjusted lintian overrides: mknod is now called from a function.
* Adjust vzaphfc to netdevice API changes in kernel 2.6.24.
* Once again ignoring 'make distclean' errors: it will fail if we don't
have kernel sources / headers for current kernel :-( .
* Remove some unnecessary changes from the florz zaphfc patch - fixes zaphfc
warning.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Thu, 20 Mar 2008 16:31:25 +0200
zaptel (1:1.4.8~dfsg-1) unstable; urgency=low
* New upstream release
* bristuff.dpatch broken to smaller patches, as in bristuff 0.4.0-test6.
- ztpty.c is added as a source file.
- bri_dchan.dpatch, proc_read.dpatch, ztcfg-start_stop.dpatch and
zt_alarm_notify_no_master_change.dpatch .
* beronet.dpatch: Support for Bero.net cards (Closes: #453496).
* Adapted ztcfg-start_stop.dpatch to zaptel 1.4.8 .
* Removing xpp_m_subdirs.dpatch: merged upstream.
* tones.h is no longer generated.
* kbuild_src.dpatch: A small build issue already fixed upstream.
* oslec_zaptel.dpatch: Add a compatibility function for the old
echo_can_create() of zaptel < 1.4.8 .
* Also copy the new wcte12xp/ to the source tarball.
* Delete old created files on purge (Closes: #454388).
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Tue, 29 Jan 2008 13:32:11 +0200
zaptel (1:1.4.7.1~dfsg-1) unstable; urgency=low
[ Tzafrir Cohen ]
* New upstream release.
- New upstream version 1.4.6 (Closes: #452315, #442414).
* Add Voicetronix OpenPCI Zaptel driver (wcopenpci.c) .
* Explicitly delete depmod results (modules.dep at el.)
* ztdiag.dpatch: removed (applied by upstream).
* xpp_m_subdirs.dpatch: removed (applied by upstream).
* Makefile_fix_clean.dpatch: removed (applied by upstream).
* Makefile_opt_level.dpatch: removed (applied by upstream, except for 2.4
kernel modules).
* Call 'make dist-clean' rather than 'make clean'.
* Don't run 'make dist-clean' on zaptel-modules build.
* Document zaptel-modules build test.
* Don't run ztcfg if zaptel was not loaded. But do fail if ztcfg has failed.
(Closes: #407996).
* Don't build wcopenpci on big endian platforms (Module gives #error there).
* Actually fix building xpp with M instead of SUBDIRS.
* Updates to bristuff zap modules from bristuff-0.3.0-1y-l:
- Fix build warnings.
- Allow sharing interrupts.
* Update cwain from recent bristuff.
[ Faidon Liambotis ]
* Don't delete old device nodes on installations since it's needed only for
upgrades from <= sarge which isn't supported. Shuts up lintian error.
* Correctly detect udev/devfsd and chrooted environments at postinst time.
* Fix debian/watch by using a pkg-voip wrapper to avoid upstream's silly
redirections. (Closes: #449673)
* Fix OSLEC so that audio works again on x86_64 systems.
* Update Standards-Version to 3.7.3, no changes needed.
* Refresh Uploaders: add myself, remove Jose Carlos Garcia Sogo, Santiago
Garcia Mantinan and Santiago Ruano Rincon.
-- Faidon Liambotis <paravoid@debian.org> Fri, 28 Dec 2007 17:59:57 +0200
zaptel (1:1.4.5.1~dfsg-2) unstable; urgency=low
[ Kilian Krause ]
* Update oslec to r942. Add mmx.h (disabled for now).
* Do export oslec_echo_can_identify from oslec.ko (Closes: #439814).
* Add Homepage field as added in dpkg-dev 1.14.6.
* Fix debian-rules-uses-pwd
[ Mark Purcell ]
* Remove Build-Depends restrictions for packages in stable
[ Tzafrir Cohen ]
* vzaphfc: update to 1.44, and apply our fixes.
* vzaphfc: fix building with Sarge 2.6 kernels.
* Fix asciidoc buildign in Sarge (temporary fix, until we get upstream fix
in 1.4.6).
* Don't build oslec if it is not the Zaptel echo canceller.
* Adjust line numbers in Lintian ignore file.
* Include oslec-ctrl-panel.sh as an example (Closes: #443363).
-- Kilian Krause <kilian@debian.org> Sat, 22 Sep 2007 12:08:52 +0200
zaptel (1:1.4.5.1~dfsg-1) unstable; urgency=low
* New upstream release.
[ Kilian Krause ]
* Add dpkg-dev (>= 1.13.19) to Build-Depends for binary:Version
* Correct the zaptel.init to point to correct path of fxotune
(Closes: #439310)
* Put opt level back to -O2 in accordance with Debian Policy.
[ Tzafrir Cohen ]
* Pass extra modules / subdirs to modules make.
* Re-add zaptel_perl.dpatch. Clarified patch's description in hope to aviod
re-re-re-removal of this patch.
* There's now an HTML version of README.Astribank . And upstream Makefile is
better at cleaning.
* Don't install man pages. 'make install' does that already (Closes: #422943)
* Fixed building vzaphfc, opvx1200p and ds1x1f of kernel >=2.6.22
(>= 2.6.19?).
* xpp_m_subdirs.dpatch: Fixed building of xpp modules with M= .
* modulestest -r: test current kernel.
-- Kilian Krause <kilian@debian.org> Sun, 26 Aug 2007 12:08:10 +0200
zaptel (1:1.4.5~dfsg-1) unstable; urgency=low
* New Upstream Maintenance Release
- support for Digium's new 32 channel hardware echo canceler
(VPMADT032) for the TDM800P and TDM2400P
[ Tzafrir Cohen ]
* zaptel_perl.dpatch: install perl modules to vendorlib rather than to
sitelib. This fixes the zaptel-perl utilities (e.g: zaptel_hardware).
* Build-depend on asciidoc to produce some package documentation.
* Mark doc-base documentation.
* Simplify Astribank initialization with zaptel-perl.
* provide symlinks for headers files: compatibility with zaptel 1.2
locations of zaptel.h and tonezone.h .
[ Faidon Liambotis ]
* bristuff 0.4.0-test4
- Add zaptel.patch as debian/patches/bristuff.dpatch.
- Update zaphfc, qozap, cwain and ztgsm.
* Add florz' patch to zaphfc; removes RTAI support. (Closes: #382227)
* Don't fail on mknod errors; helps on vserver setups. (Closes: #411850)
[ Mark Purcell ]
* Remove echocan_env.dpatch - merged upstream
* Remove zaptel_perl.dpatch - merged upstream
* Add debian/patches/inlcude.dpatch - upstream typo
* debian/rules: upstream change INSTALL_PREFIX->DESTDIR
* debian/zaptel.doc-base.readme add Index: doc-base-file-no-index
* Ship new wctdm24xxp modules
-- Mark Purcell <msp@debian.org> Sat, 18 Aug 2007 13:20:31 +0100
zaptel (1:1.4.4~dfsg-1) unstable; urgency=low
* New Upstream Release
[ Tzafrir Cohen ]
* echocan_env.dpatch: set the echo canceller from the environment.
* oslec/ The bulk of the oslec files.
* oslec_zaptel.dpatch: Minimal changes to zaptel to add oslec, beyond
the oslec directory.
* oslec_zaptap.dpatch: The oslec zaptap echo sampling device (probably
still does not apply).
* man_fixes.dpatch: Documentation fixes from upstream.
* Removing unrequired/harmful and useless modprobe / modutils config.
* README.Debian updates.
[ Mark Purcell ]
* debian/patches/zaptel_perl.dpatch now included upstream
* Switch to ${binary:Version} substvar-source-version-is-deprecated
-- Mark Purcell <msp@debian.org> Wed, 18 Jul 2007 21:41:51 +0100
zaptel (1:1.4.3~dfsg-2) unstable; urgency=low
[ Tzafrir Cohen ]
* Fixed and re-added zaptel_perl.
* And added zaptel_hardware (zaptel hardware lister), just for fun.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Sat, 09 Jun 2007 03:36:17 +0300
zaptel (1:1.4.3~dfsg-1) unstable; urgency=low
* New upstream release
- A fix for the potential for a rare deadlock between zaptel and the
wct4xxp, wcte11xp, and wct1xxp drivers
- Fixes for the VPM450M module on FC6 to correct a potential stack
overflow scenario at load time.
- Many updates to the Astribank driver
* disable debian/patches/zaptel_perl as it doesnt apply cleanly
-- Mark Purcell <msp@debian.org> Sat, 09 Jun 2007 00:01:55 +0100
zaptel (1:1.4.2.1~dfsg-2) unstable; urgency=low
* Include debian/compat in zaptel-sources
- missing debian/compat file in archive (Closes: #422153)
-- Mark Purcell <msp@debian.org> Sat, 02 Jun 2007 10:22:04 +0100
zaptel (1:1.4.2.1~dfsg-1) unstable; urgency=low
* New upstream release
- Added the ability to monitor pre-echo cancellation audio with ztmonitor
- Fixed some places where there was the potential for memory corruption
on SMP systems
- FTBFS with 2.6.19-1 (Closes: #405562)
* zaptel 1.4 provides wcfxs->wctdm alias
- No mention of wcfxs -> wctdm module rename (Closes: #419161)
- Missing modutils/modprobe rules for wctdm (Closes: #419162)
* provide debian/compat fixes lintian: debian-rules-sets-DH_COMPAT
* Cleanup debian/patches/
-- Mark Purcell <msp@debian.org> Thu, 26 Apr 2007 09:07:48 +1000
zaptel (1:1.4.1~dfsg-3) unstable; urgency=low
[ TzafrirCohen ]
* Better shape for ztdiag.dpatch. Don't forget to free.
-- Mark Purcell <msp@debian.org> Wed, 04 Apr 2007 22:51:24 +0100
zaptel (1:1.4.1~dfsg-2) experimental; urgency=low
* $(MAKE) install-libs needed to install libs to libtonezone
-- Mark Purcell <msp@debian.org> Sat, 24 Mar 2007 14:17:22 +0000
zaptel (1:1.4.1~dfsg-1) experimental; urgency=low
[ Tzafrir Cohen ]
* New upstream release.
* Fix installation of tonezone.h .
* merges from trunk:
* Update standards version to 3.7.2 .
* ztdiag.dpatch: fix the ioctl ZT_CHANDIAG and eable it.
* Should fix modules building: restore generated files that were
removed by a clean (Closes: #415280).
* Update debian/watch for ~ versions
* zaptel_perl.dpatch: Do install perl modules and scripts.
* zaptel_perl.dpatch: a few other fixes (until next upstream release).
* Add Makefile.kernel26 and wctc4xxp/ to source tarball.
* Don't install /etc/zaptel.conf by default (Closes: #383081) .
* List the tonezones supported by ztcfg and libtonezone in tonezones.txt
(Closes: #379108).
* Remove man pages from debian/, as they are included in upstream.
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Sat, 24 Mar 2007 10:03:54 +0200
zaptel (1:1.4.0~dfsg-1) experimental; urgency=low
* Upgrading to 1.4.
* Watch for 1.4.x tarballs, rather than 1.2.x tarballs.
* Disable most patches:
- ukcid fails to apply.
- bristuff fails to apply.
- No point in patching the Makefile.
* Saving my attempts to apply bristuff.
* .h files moved to /usr/include/zaptel
-- Tzafrir Cohen <tzafrir.cohen@xorcom.com> Mon, 1 Jan 2007 21:31:18 +0200
zaptel (1:1.2.12~dfsg-2) UNRELEASED; urgency=low
* NOT RELEASED YET
* Remove -O4 from all Makefiles (Closes: #391840)
* Remove gcc hardcoded as HOSTCC
-- Kilian Krause <kilian@debian.org> Thu, 28 Dec 2006 13:12:16 +0100
zaptel (1:1.2.12~dfsg-1) unstable; urgency=low
* New upstream release. (Closes: #403326)
-- Kilian Krause <kilian@debian.org> Wed, 27 Dec 2006 23:23:40 +0100
zaptel (1:1.2.11.dfsg-1) unstable; urgency=low
[ Tzafrir Cohen ]
* Reverting my changes from 1:1.2.9.1.dfsg-2. Moved to the experimental
branch.
[ Kilian Krause ]
* Remove bogus zaptel-modules from being Recommends (Closes: #387961)
* Update vzaphfc as proposed by Jens Wilke
[ Mark Purcell ]
* New Upstream Release
- Fixes: Fails to build with pristine upstream kernel, very recent version
(Closes: #400705)
- Fixes: Please package version 1.2.11 (Closes: #399634)
- Fixes: vzaphfc: error: 'CHECKSUM_HW' undeclared (Closes: #386498)
* Cleanup debian/patches/wct4xxp-dfsg.dpatch
* debian/rules call dh_installmodules from binary_modules:
- Fixes: I had to do depmod -a manually after doing m-a a-i zaptel (Closes:
#332787)
* Update debian/patches/Makefile_uname.dpatch to force -O2
- Fixes: Cannot initiate a call to BRI (Closes: #386052)
* Remove Depends: zaptel from debian/control.modules.in
- please don't depend on zaptel (Closes: #391826)
-- Mark Purcell <msp@debian.org> Sat, 2 Dec 2006 14:33:30 +0000
zaptel (1:1.2.10.dfsg-2) unstable; urgency=low
* bristuff-0.3.0-PRE-1v
* Remove redundant GPL LICENCE text
-- Mark Purcell <msp@debian.org> Tue, 24 Oct 2006 22:41:01 +0100
zaptel (1:1.2.10.dfsg-1) unstable; urgency=low
* New upstream release
-- Mark Purcell <msp@debian.org> Sun, 22 Oct 2006 20:27:19 +0100
zaptel (1:1.2.9.1.dfsg-2) unstable; urgency=low
[ Tzafrir Cohen ]
* zaptel 1.4 compatibility changes:
- place zaptel.h and tonezone.h in /usr/include/zaptel (through symlinks)
- zaptelh_14.dpatch: declare some zaptel 1.4 interfaces (not implemented
anywhere, though).
[ Mark Purcell ]
* debian/rules patch from Robert Millan
- the package doesn't compile (Closes: #390903)
* add debian/patches/dbug391840.dpatch
- ztcfg segfaults because of -O4 (Closes: #391840)
* add debian/patches/wct4xxp-dfsg.dpatch
- wct4xxp and other modules are not built anymore on zaptel-
1.2.8.dfsg-1 (Closes: #388756)
-- Mark Purcell <msp@debian.org> Tue, 10 Oct 2006 09:36:58 +1000
zaptel (1:1.2.9.1.dfsg-1) unstable; urgency=low
* New Upstream Release
* firmware removed from wct4xxp/OCT6114-128D.ima
* Lintian cleanup; spelling-error-in-copyright
-- Mark Purcell <msp@debian.org> Sat, 23 Sep 2006 13:58:15 +0100
zaptel (1:1.2.8.dfsg-1) unstable; urgency=low
* New Upstream Release
-- Mark Purcell <msp@debian.org> Wed, 23 Aug 2006 07:30:22 +0100
zaptel (1:1.2.7.dfsg-4) unstable; urgency=low
* Install zaptel.conf.sample as a confile under /etc
* Add Recommends: zaptel-modules
* Improve error handling and conf file checking in init.d. (Closes:
Bug#382604)
-- Mark Purcell <msp@debian.org> Thu, 17 Aug 2006 08:34:43 +0100
zaptel (1:1.2.7.dfsg-3) unstable; urgency=low
[ Kilian Krause ]
* Simplified vzaphfc patch.
[ Mark Purcell ]
* Build-Depends: debhelper (>= 5.0.37) and dh_installmodules makes
zaptel-source.postinst & zaptel-modules.post{inst,rm} obsolete
Fixes: postinst/postrm depmod -- update templates to use dh_installmodules
instead (Closes: #381754)
* postinst failure (Closes: #361312)
* zaptel-modules from testing don't compile on Sarge (Closes: #376719)
* pciradio.c:1810: error: syntax error before string constant (Closes:
#368145)
* Can't recompile zaptel modules on Sarge (Closes: #375581)
* zaptel-modules from testing don't compile on Sarge (Closes: #376719)
-- Mark Purcell <msp@debian.org> Thu, 10 Aug 2006 23:39:58 +0100
zaptel (1:1.2.7.dfsg-2) unstable; urgency=low
* Fix get-orig-source target to make dfsg repacking work
* Fix zaptel-source to build without firmware again. Required dropping
wct4xxp module. Added vzaphfc to linux-2.6 modules. (Closes: #381123)
-- Kilian Krause <kilian@debian.org> Thu, 3 Aug 2006 11:48:14 +0000
zaptel (1:1.2.7.dfsg-1) unstable; urgency=high
* Urgency high as this is blocking a security fix for asterisk
* Remove non-modifiable firmware to make DFSG compliant. Does
anyone need this firmware? (Closes: #379458)
-- Mark Purcell <msp@debian.org> Tue, 1 Aug 2006 15:27:09 +0100